attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

varying vec2 v_texCoord;
varying vec2 v_Offset_2;//-2
varying vec2 v_Offset_1;//-1
varying vec2 v_Offset1;//1
varying vec2 v_Offset2;//2


uniform vec4 v_OffsetSelf;
uniform vec4 v_Weight;
uniform vec4 v_Color;

void main()
{
    gl_Position = CC_MVPMatrix * a_position;
	v_texCoord = a_texCoord;

	v_Offset_2.xy = a_texCoord.xy - v_OffsetSelf.zw;
	v_Offset_1.xy = a_texCoord.xy - v_OffsetSelf.xy;
	v_Offset1.xy = a_texCoord.xy + v_OffsetSelf.xy;
	v_Offset2.xy = a_texCoord.xy + v_OffsetSelf.zw;
}
