precision mediump float;

uniform sampler2D u_textureBack;
uniform sampler2D CC_Texture1;
uniform sampler2D u_sinTable;
uniform sampler2D u_textureMask;

uniform vec4 v_noise;
uniform vec4 v_effect;

varying vec2 v_texCoord;

uniform float pondTime;

//vec3 waveNormal(vec2 p) {
//    vec3 normal = texture2D(CC_Texture1, p).xyz;
//    normal = -1.0 + normal * 2.0;
//    return normalize(normal);
//}

float sint(float x)
{
    return texture2D(u_sinTable,vec2(x*0.0795775,0)).r * 2.0 - 1.0;
}

void main()
{
    vec2 texCoord = v_texCoord;
    vec4 texMask =texture2D(u_textureMask,v_texCoord);

    // simple UV animation
//    vec3 normal = waveNormal(texCoord);
    // simple calculate refraction UV offset
//    vec2 p = vec2(texCoord.x*2.0-1.0,texCoord.y*2.0-1.0);
    
//    vec3 eyePos = vec3(0.0, 0.0, 100.0);
//    vec3 inVec = normalize(vec3(p, 0.0) - eyePos);
//    vec3 refractVec = refract(inVec, normal, v_effect.x);
    
    vec3 refractVec = vec3(0.14,0.14,0);


    float cc = texMask.r;
    float mm = texMask.g;
    float dis = cc * 300.0;
    
    vec2 vecTexCoord = v_texCoord.xy + mm*(refractVec.xy * abs(sint(pondTime + dis * v_noise.y))*v_noise.z + v_noise.w);
    vec4 col = texture2D(u_textureBack, vecTexCoord);
    gl_FragColor = col;
    
}
