
precision highp float;

varying vec4 v_fragmentColor;				
varying vec2 v_texCoord;					
varying vec4 v_position;
uniform sampler2D CC_Texture0;				
uniform vec4 params;
uniform float time;

void main()
{
    vec2 vecNew =v_texCoord;
    if (params.y !=0.0)
    {
        float fa =v_position.y*params.y;
        float fOffset =sin(params.x)*fa*fa;
        
        vecNew =vec2(v_texCoord.x+fOffset,v_texCoord.y+fOffset*(v_position.x-params.w)*params.z);
    }
    
    vec4 basic_color =texture2D(CC_Texture0, vecNew);
    if (time != 0.0)
    {
        basic_color.r =basic_color.r + basic_color.r*time*0.3;
        basic_color.g =basic_color.g + basic_color.g*time*0.59;
        basic_color.b =basic_color.b + basic_color.b*time*0.11;
    }
    
    gl_FragColor = v_fragmentColor * basic_color;
}
