
precision lowp float;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
uniform vec4 v_mapIDColor;

void main()
{
    vec4 color = v_fragmentColor * texture2D(CC_Texture0, v_texCoord);
    if (color.a <0.5)
    {
        gl_FragColor = vec4(0.0,0.0,0.0,0.0);
    }
    else
    {
        gl_FragColor = vec4(v_mapIDColor.r,v_mapIDColor.g,v_mapIDColor.b,1.0);
    }
}

