precision highp float;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

uniform vec2 v_sPixel;

void main()
{
    float pixel1 = v_sPixel.x;
    float pixel2 = v_sPixel.y;
    
    float colorSum = 0.0;
    
    colorSum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - pixel2)).r * 0.006592;
    colorSum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y - pixel1)).r * 0.194214;
    colorSum += texture2D(CC_Texture0, v_texCoord).r * 0.598145;
    colorSum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + pixel1)).r * 0.194214;
    colorSum += texture2D(CC_Texture0, vec2(v_texCoord.x, v_texCoord.y + pixel2)).r * 0.006592;
    
    gl_FragColor = vec4(colorSum,colorSum*1.047253,colorSum*1.065934,1.0);
}
