precision highp float;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;

uniform float f_snowValue;

void main()
{
    vec4 color = texture2D(CC_Texture0,v_texCoord);
    
    float ss = ((color.g - color.r) * (color.g - color.b))*f_snowValue;
    
    gl_FragColor = vec4(ss,ss,ss,color.a);
}

