attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform float x_pos;
uniform float time;
uniform float speed;
uniform float y_offScale;

void main()
{
    vec4 pos1 = a_position;
    pos1.x = pos1.x + sin(3.1416 * time) * speed * 0.2;
    float param = sin((x_pos + a_position.x)*0.05 + time * speed);
    pos1.y = a_position.y + param * y_offScale * a_position.y;
    gl_Position = CC_MVPMatrix * pos1;
    v_fragmentColor = a_color;
    v_texCoord = a_texCoord;
}
