#ifdef GL_ES
precision mediump float;
#endif

varying vec4 v_fragmentColor;
uniform float time;

void main()
{
    vec4 basic_color = v_fragmentColor;
    
    basic_color.r =basic_color.r + basic_color.r*time*0.3;
    basic_color.g =basic_color.g + basic_color.g*time*0.59;
    basic_color.b =basic_color.b + basic_color.b*time*0.11;

	gl_FragColor = basic_color;
}


//vec3 HSV2RGB(vec3 hsv)
//{
//    vec3 color = vec3(0.0);
//    float f, p, q, t, h, s, v;
//    float r = 0.0, g = 0.0, b = 0.0, i;
//
//    if(hsv[1] == 0.0)
//    {
//        if(hsv[2] != 0.0)
//        {
//            color = vec3(hsv[2]);        // black and white case
//        }
//    }
//    else
//    {        // this next step is flawed if the texels are 8 bit!!
//        h = hsv.x * 360.0;
//        s = hsv.y;
//        v = hsv.z;
//
//        if(h == 360.0)
//        {
//            h = 0.0;
//        }
//
//        h /= 60.0;
//        i = floor(h);
//        f = h - i;
//        p = v * (1.0 - s);
//        q = v * (1.0 - (s * f));
//        t = v * (1.0 - (s * (1.0 - f)));
//
//        if(i == 0.0)
//        {
//            r = v;
//            g = t;
//            b = p;
//        }
//        else if(i == 1.0)
//        {
//            r = q;
//            g = v;
//            b = p;
//        }
//        else if(i == 2.0)
//        {
//            r = p;
//            g = v;
//            b = t;
//        }
//        else if(i == 3.0)
//        {
//            r = p;
//            g = q;
//            b = v;
//        }
//        else if(i == 4.0)
//        {
//            r = t;
//            g = p;
//            b = v;
//        }
//        else if(i == 5.0)
//        {
//            r = v;
//            g = p;
//            b = q;
//        }
//
//        color.r = r;
//        color.g = g;
//        color.b = b;
//    }
//
//    return color;
//}
//
//void main()
//{
//    vec4 basic_color = v_fragmentColor;
//
//    vec3 hsv = RGB2HSV(basic_color.rgb);
//    hsv.z += 0.15 * (sin(time * 3.5) + 1.0);
//    basic_color.rgb = HSV2RGB(hsv);
//	gl_FragColor = basic_color;
//}
