
precision lowp float;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D CC_Texture0;
uniform vec4 v_texLightParams;

void main()
{
    vec4 texColor = texture2D(CC_Texture0, v_texCoord);
    texColor.r = texColor.r + v_texLightParams.x;
    texColor.g = texColor.g + v_texLightParams.y;
    texColor.b = texColor.b + v_texLightParams.z;
    gl_FragColor = vec4(texColor.rgb*texColor.a,texColor.a)*v_fragmentColor;
}
