
precision lowp float;

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

uniform sampler2D CC_TextureBase;
uniform sampler2D CC_TextureEffect;

void main()
{
    vec4 texColor0 = texture2D(CC_TextureBase, v_texCoord);
    vec4 texColor1 = texture2D(CC_TextureEffect, v_texCoord);
    
//    texColor0.r =texColor0.r + texColor0.r*0.3;
//    texColor0.g =texColor0.g + texColor0.g*0.59;
    texColor0.b =texColor0.b + texColor0.b*0.5;
    
    gl_FragColor = vec4(texColor0.rgb + texColor1.rgb*0.3, texColor0.a) * texColor1.a;
}

